/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.exception;

/**
 * Indicates that an invalid string for a creation of an java element.
 * 
 * @version: $Date: 2007/07/28 12:12:55 $Author: kegel $Revision: 1.1 $
 * @author Andreas Mei&szlig;ner
 */
public class ValidationException extends Exception {

	private static final long serialVersionUID = 3692663501609320477L;

	/**
	 * Constructor for ValidationException.
	 * @param msg String
	 */
	public ValidationException(String msg) {

		super(msg);
	}
}