package org.intoJ.inferType3.internal.constraintModel.variables;

public enum ImmutabilityReason {
	PROTECTED_METHOD,
	PACKAGE_METHOD,
	FIELD_ACCESS,
	OTHER, 
	STATIC_METHOD, 
	OPEN_RECURSION, 
	ASSIGNMENT_TO_SUPERCLASS, 
	ABSTRACT_SUPERCLASS, 
	CONSTRUCTOR_NOT_ACCESSIBLE,
	NO_CLASS,
	NO_TOP_LEVEL_TYPE, 
	THROWABLE, 
	OBJECT_SUPERTYPE, 
	FINAL_METHOD, 
	SYNCHRONIZED_SPLIT, 
	INSTANCE_OF, 
	CAST;
}
