/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType.exception;

/**
 * Indicates something went terribly wrong during calculation.
 * 
 * @version: $Date: 2007/09/09 19:40:25 $Author: kegel $Revision: 1.1 $
 * @author Philip Mayer
 *  
 */
public class InternalCalculationException extends IntoJCalculationException {

	private static final long serialVersionUID = 4830680763512342678L;

	/**
	 * Constructor for InternalCalculationException.
	 * @param title String
	 * @param message String
	 */
	public InternalCalculationException(String title, String message) {

		super(title, message);
	}

}